#!/bin/bash

## Author Oriol Filter
# Date 10/03/2022

## Send scripts/files to the servers

### VAR
# check if _users is empty

# _USERS="ibmuser bs2cloud"
_USERS="$(cat ./users)"

#_USERS="$_USERS"
_FILES="$(cat ./files_to_send)"

printf "Sending files to /tmp\n"

### Main

for u in $_USERS
do
  printf "\033[0;33m $u\033[0m\n"

  for h in $(cat "${u}/h")
  do
    printf "\033[1;34m   $h\033[0m\n"
    for _F in $_FILES
    do
      sshpass -f "./${u}/p" scp -q -o StrictHostKeyChecking=no "$_F" "${u}@${h}:/tmp/" &&
            printf "\t${_F}: \033[1;32mYES \033[0m\n" ||
            printf "\t${_F}: \033[1;31mNo \033[0m\n"
    done
    printf "   -----------\n"
  done
done

printf "\033[1;32mDONE \033[0m\n"
